Index: pykota/trunk/pykota/storages/sqlitestorage.py
===================================================================
--- pykota/trunk/pykota/storages/sqlitestorage.py (revision 3411)
+++ pykota/trunk/pykota/storages/sqlitestorage.py (revision 3413)
@@ -8,10 +8,10 @@
 # the Free Software Foundation, either version 3 of the License, or
 # (at your option) any later version.
-# 
+#
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
-# 
+#
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
@@ -29,14 +29,14 @@
 try :
     from pysqlite2 import dbapi2 as sqlite
-except ImportError :    
+except ImportError :
     import sys
     # TODO : to translate or not to translate ?
     raise PyKotaStorageError, "This python version (%s) doesn't seem to have the PySQLite module installed correctly." % sys.version.split()[0]
-    
+
 class Storage(BaseStorage, SQLStorage) :
     def __init__(self, pykotatool, host, dbname, user, passwd) :
         """Opens the SQLite database connection."""
         BaseStorage.__init__(self, pykotatool)
-        
+
         self.tool.logdebug("Trying to open database (dbname=%s)..." % dbname)
         self.database = sqlite.connect(dbname, isolation_level=None)
@@ -44,6 +44,6 @@
         self.closed = 0
         self.tool.logdebug("Database opened (dbname=%s)" % dbname)
-            
-    def close(self) :    
+
+    def close(self) :
         """Closes the database connection."""
         if not self.closed :
@@ -52,43 +52,43 @@
             self.closed = 1
             self.tool.logdebug("Database closed.")
-        
-    def beginTransaction(self) :    
+
+    def beginTransaction(self) :
         """Starts a transaction."""
         self.cursor.execute("BEGIN;")
         self.tool.logdebug("Transaction begins...")
-        
-    def commitTransaction(self) :    
+
+    def commitTransaction(self) :
         """Commits a transaction."""
         self.cursor.execute("COMMIT;")
         self.tool.logdebug("Transaction committed.")
-        
-    def rollbackTransaction(self) :     
+
+    def rollbackTransaction(self) :
         """Rollbacks a transaction."""
         self.cursor.execute("ROLLBACK;")
         self.tool.logdebug("Transaction aborted.")
-        
+
     def doRawSearch(self, query) :
         """Does a raw search query."""
-        query = query.strip()    
-        if not query.endswith(';') :    
+        query = query.strip()
+        if not query.endswith(';') :
             query += ';'
         try :
             self.querydebug("QUERY : %s" % query)
             self.cursor.execute(query)
-        except self.database.Error, msg :    
+        except self.database.Error, msg :
             raise PyKotaStorageError, repr(msg)
-        else :    
+        else :
             result = self.cursor.fetchall()
             return result
-            
-    def doSearch(self, query) :        
+
+    def doSearch(self, query) :
         """Does a search query."""
         result = self.doRawSearch(query)
-        if result : 
+        if result :
             rows = []
             fields = {}
             for i in range(len(self.cursor.description)) :
                 fields[i] = self.cursor.description[i][0]
-            for row in result :    
+            for row in result :
                 rowdict = {}
                 for field in fields.keys() :
@@ -99,37 +99,37 @@
                         pass
                     rowdict[fields[field]] = value
-                rows.append(rowdict)    
-            return rows    
-        
+                rows.append(rowdict)
+            return rows
+
     def doModify(self, query) :
         """Does a (possibly multiple) modify query."""
-        query = query.strip()    
-        if not query.endswith(';') :    
+        query = query.strip()
+        if not query.endswith(';') :
             query += ';'
         try :
             self.querydebug("QUERY : %s" % query)
             self.cursor.execute(query)
-        except self.database.Error, msg :    
+        except self.database.Error, msg :
             self.tool.logdebug("Query failed : %s" % repr(msg))
             raise PyKotaStorageError, repr(msg)
-            
+
     def doQuote(self, field) :
         """Quotes a field for use as a string in SQL queries."""
-        if type(field) == type(0.0) : 
+        if type(field) == type(0.0) :
             return field
-        elif type(field) == type(0) :    
+        elif type(field) == type(0) :
             return field
-        elif type(field) == type(0L) :    
+        elif type(field) == type(0L) :
             return field
         elif field is not None :
             return ("'%s'" % field.replace("'", "''")).decode("UTF-8")
-        else :     
+        else :
             return "NULL"
-            
+
     def prepareRawResult(self, result) :
         """Prepares a raw result by including the headers."""
         if result :
             entries = [tuple([f[0] for f in self.cursor.description])]
-            for entry in result :    
+            for entry in result :
                 row = []
                 for value in entry :
@@ -139,5 +139,5 @@
                         pass
                     row.append(value)
-                entries.append(tuple(row))    
-            return entries   
-        
+                entries.append(tuple(row))
+            return entries
+
